<?php
	$model = new Cubix_Geography_Regions();

	$gender = 1;
	$type = false;
	if ( is_array($this->params['filter']) )
	{
		foreach ($this->params['filter'] as $v)
		{
			if ( array_search('boys', $v) )
				$gender = GENDER_MALE;
			else if ( array_search('trans', $v) )
				$gender = GENDER_TRANS;

			if ( array_search('agency', $v) )
				$type = USER_TYPE_AGENCY;
			else if ( array_search('independents', $v) )
				$type = USER_TYPE_SINGLE_GIRL;
		}
	}
	$count = 0;

	$cache = Zend_Registry::get('cache');
	$cache_key = $gender . '_' . $type . '_' . $this->request()->lang_id;

	$count = $cache->load($cache_key . '_count');
	if ( ! $top_regions = $cache->load($cache_key) )
	{
		$top_regions = $model->getTopRegions($gender, $type, $count);

		$cache->save($top_regions, $cache_key, array());
		$cache->save($count, $cache_key . '_count', array());
	}
	
	$config = Zend_Registry::get('escorts_config');
?>

<?php
	$counter = 0;
	$escorts_count = 0;
?>

<? if ( count($top_regions) > 0 ): ?>

<? foreach ($top_regions as $region_id => $region): ?>

	<? $escorts_count += $region->escort_count ?>
	<? if (0 == ($counter) % $config['regionsPerRow']): ?>
		<?= (0 != $counter)? '</ul>' : ''; ?>
		<ul>
	<? endif; ?>
	<li>
		<a href='<?= $this->getLink('escorts', array('state' => $region->country_iso . '_' . $region->region_slug, 'filter' => null, 'page' => null)) ?>'><?= $region->region_title ?></a> 
		<span>(<?= $region->escort_count ?>)</span>
	</li>
	<? $counter++; ?>
<? endforeach; ?>
	</ul>

<? $this->total_count = $escorts_count;  ?>

<? endif; ?>